#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true

  XC\SplitShipment\LifetimeHook\Install:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SplitShipment, type: install, method: onInstall}
  XC\SplitShipment\LifetimeHook\Upgrade\UpgradeTo555build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SplitShipment, type: upgrade, method: onUpgrade, version: 5.5.5.0}
  XC\SplitShipment\LifetimeHook\Upgrade\UpgradeTo555build0FillIntegrationNames:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SplitShipment, type: upgrade, method: onUpgrade, version: 5.5.5.0}
  XC\SplitShipment\LifetimeHook\Upgrade\UpgradeTo555build0ChangeLabel:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-SplitShipment, type: upgrade, method: onUpgrade, version: 5.5.5.0}
